%global momorel 2
%global md5sum 03a55f8b5b3899f03d71ca9dd681545d

Summary: Sound player with the WinAmp GUI, for Unix-based systems, using GTK+ 2
Name: bmpx
Version: 0.36.1
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://bmpx.beep-media-player.org
%NoSource 0 http://files.beep-media-player.org/releases/0.36/%{name}-%{version}.tar.bz2 %{md5sum}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gstreamer010-devel >= 0.10.10
# BuildRequires: gstreamer-plugins-base-devel >= 0.10.7
# BuildRequires: gstreamer-plugins-good-devel >= 0.10.3
# BuildRequires: gstreamer-plugins-ugly-devel >= 0.10.3
# BuildRequires: gstreamer-plugins-bad-devel >= 0.10.3
BuildRequires: gtk+-devel >= 2.10.4
BuildRequires: gamin-devel >= 0.1.7
BuildRequires: dbus-devel >= 0.61
BuildRequires: dbus-glib >= 0.61
BuildRequires: hal-devel >= 0.5.7.1
BuildRequires: libmusicbrainz-devel >= 2.1.1
BuildRequires: taglib-devel >= 1.4
BuildRequires: neon-devel = 0.25.5
BuildRequires: libxml2-devel >= 2.6.23 
BuildRequires: gtkmm-devel >= 2.8.3
BuildRequires: glibmm-devel => 2.8.4 
BuildRequires: libglademm  >= 2.6.3
BuildRequires: libnotify-devel >= 0.4.2
BuildRequires: notification-daemon >= 0.3.5
BuildRequires: faad2-devel
BuildRequires: boost-devel >= 1.33.1-2m
# BuildRequires: libsidplay-devel

%description
Easy to use mediaplayer with GTK+2 and ponies.

%package devel
Summary: Header files for BMPx media player
Group: Development/Libraries
Requires: %{name} =  %{version}-%{release}

%description devel
Header files required for compiling BMPx media player plugins.

%prep
%setup -q

%build
autoreconf -fi
%configure --enable-hal --enable-gamin --enable-libnotify --enable-mp4v2 \
 --with-dbus-services-dir=%{buildroot}%{_datadir}/dbus-1/services \
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall transform='s,x,x,'
find %{buildroot} -name "*.la" -delete
rm -f %{buildroot}%{_mandir}/man*/*
rm -f %{buildroot}%{_datadir}/locale/locale.alias
(
	cd %{buildroot}%{_bindir}
	rm -f bmp2
	ln -s beep_media_player_2 beep-media-player-2
	cd %{buildroot}%{_libexecdir}
	mv -f bmp2-bin beep-media-player-2-bin
)


%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
update-desktop-database

%postun
/sbin/ldconfig
update-desktop-database

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/beep*
%attr(755,root,root) %{_bindir}/bmp*
%attr(755,root,root) %{_libexecdir}/beep-media-player-2-bin
%attr(755,root,root) %{_libexecdir}/beep-media-player-2-sentinel
%{_libdir}/bmpx
%{_datadir}/bmpx
%{_datadir}/applications/bmp-*.desktop
%{_datadir}/dbus-1/services/org.beepmediaplayer.bmp.service
%{_datadir}/dbus-1/services/org.beepmediaplayer.sentinel.service
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/bmpx.mo

%files devel
%defattr(644,root,root,755)
%{_includedir}/bmp-2.0
%{_libdir}/pkgconfig/bmp-2.0.pc

%changelog
* Wed Dec 27 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.36.1-2m)
- %%{_bindir}/bmpx -> %%{_bindir}/beep-media-player-2 for bmp-*.desktop

* Wed Dec 27 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.36.1-1m)
- update to 0.36.1

* Thu Oct 26 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.33.0-1m)
- update to 0.33.0

* Thu Oct 19 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.32.0-3m)
- rm /usr/share/locale/locale.alias

* Mon Oct 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.32.0-2m)
- modify %%files to avoid conflicting with glibc-common

* Thu Oct 12 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.32.0-1m)
- initial import


